# mongoc_bulk_operation_replace_one()

## Synopsis

    void
    mongoc_bulk_operation_replace_one (mongoc_bulk_operation_t *bulk,
                                       const bson_t            *selector,
                                       const bson_t            *document,
                                       bool                     upsert);

Replace a single document as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

## Parameters

bulk | A mongoc_bulk_operation_t.
selector | A bson_t containing the selector to query.
document | A bson_t containing the replacement document.
upsert | true if this should be an upsert.

document may not contain fields with keys containing . or $.

## Errors

Errors are propagated via mongoc_bulk_operation_execute().